<h2>Doctori</h2>
<mat-paginator [pageSizeOptions]="[5, 10, 15]" [pageSize]="5" [length]="totalDoctors" (page)="nextPage($event)"></mat-paginator>
<table>
    <thead>
        <tr>
            <th>Nume doctor</th>
            <th>Spital</th>
            <th>Departament</th>
            <th>Funcție</th>
            <th>Email</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor='let doctor of doctors'>
            <td>{{doctor.name}}</td>
            <td>{{doctor.department.hospital.name}}</td>
            <td>{{doctor.department.name}}</td>
            <td>{{doctor.position}}</td>
            <td>{{doctor.email}}</td>
        </tr>
    </tbody>
</table>

<button *ngIf="isUserAdmin()" class="btn btn-primary" (click)="goToCreateDoctor()">Creare doctor</button>
